cURL
curl --request PATCH \
--url https://api.mottostreaming.com/annotations/annotations/v1/{annotation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"annotation_id": "<string>",
"annotation": {
"project_id": "<string>",
"type_id": "<string>",
"video_id": "<string>",
"offset": "<string>",
"event_id": "<string>",
"creative_work_id": "<string>",
"entity_ids": [
"<string>"
],
"action_overrides": {},
"start_offset": "<string>",
"end_offset": "<string>",
"source_id": "<string>",
"confidence": 123,
"timer_label": "<string>",
"order": "<string>"
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/annotations/annotations/v1/{annotation_id}"
payload = {
"annotation_id": "<string>",
"annotation": {
"project_id": "<string>",
"type_id": "<string>",
"video_id": "<string>",
"offset": "<string>",
"event_id": "<string>",
"creative_work_id": "<string>",
"entity_ids": ["<string>"],
"action_overrides": {},
"start_offset": "<string>",
"end_offset": "<string>",
"source_id": "<string>",
"confidence": 123,
"timer_label": "<string>",
"order": "<string>"
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
annotation_id: '<string>',
annotation: {
project_id: '<string>',
type_id: '<string>',
video_id: '<string>',
offset: '<string>',
event_id: '<string>',
creative_work_id: '<string>',
entity_ids: ['<string>'],
action_overrides: {},
start_offset: '<string>',
end_offset: '<string>',
source_id: '<string>',
confidence: 123,
timer_label: '<string>',
order: '<string>'
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/annotations/annotations/v1/{annotation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"annotation": {
"project_id": "<string>",
"type_id": "<string>",
"video_id": "<string>",
"offset": "<string>",
"id": "<string>",
"visibility": "VISIBILITY_UNSPECIFIED",
"event_id": "<string>",
"creative_work_id": "<string>",
"entity_ids": [
"<string>"
],
"action_overrides": {},
"start_offset": "<string>",
"end_offset": "<string>",
"source_type": "SOURCE_TYPE_UNSPECIFIED",
"source_id": "<string>",
"confidence": 123,
"timer_label": "<string>",
"order": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Annotations
Update annotation
UpdateAnnotation
Updates an existing annotation.
PATCH
/
annotations
/
annotations
/
v1
/
{annotation_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Annotation is an invocation of an annotation type and represents a single moment in a video that represents an occurrence of that annotation type. For example, if you have an annotation type "goal", then an Annotation could created when a goal occurs in the video.
Show child attributes
Show child attributes
Response
OK
Annotation is an invocation of an annotation type and represents a single moment in a video that represents an occurrence of that annotation type. For example, if you have an annotation type "goal", then an Annotation could created when a goal occurs in the video.
Show child attributes
Show child attributes

